Skip to main content
GET
/
tracks
/
{Carrier}
/
{TrackingNumber}
cURL
curl https://api.goshippo.com/tracks/usps/9205590164917312751089 \
-H "Authorization: ShippoToken <API_TOKEN>"
{
  "carrier": "usps",
  "messages": [
    "<string>"
  ],
  "tracking_history": [
    {
      "object_created": "2023-11-07T05:31:56Z",
      "object_id": "<string>",
      "object_updated": "2023-11-07T05:31:56Z",
      "status": "DELIVERED",
      "status_details": "Your shipment has been delivered at the destination mailbox.",
      "location": {
        "city": "Las Vegas",
        "country": "US",
        "state": "NV",
        "zip": "89101"
      },
      "substatus": {
        "code": "information_received",
        "text": "Information about the package received.",
        "action_required": true
      },
      "status_date": "2016-07-23T00:00:00Z"
    }
  ],
  "tracking_number": "9205590164917312751089",
  "address_from": {
    "city": "Las Vegas",
    "country": "US",
    "state": "NV",
    "zip": "89101"
  },
  "address_to": {
    "city": "Las Vegas",
    "country": "US",
    "state": "NV",
    "zip": "89101"
  },
  "eta": "2023-11-07T05:31:56Z",
  "metadata": "Order 000123",
  "original_eta": "2021-07-23T00:00:00Z",
  "servicelevel": {
    "name": "Priority Mail Express",
    "terms": "<string>",
    "token": "usps_priority_express",
    "extended_token": "<string>",
    "parent_servicelevel": {
      "name": "Priority Mail Express",
      "terms": "<string>",
      "token": "usps_priority_express",
      "extended_token": "<string>"
    }
  },
  "tracking_status": {
    "object_created": "2023-11-07T05:31:56Z",
    "object_id": "<string>",
    "object_updated": "2023-11-07T05:31:56Z",
    "status": "DELIVERED",
    "status_details": "Your shipment has been delivered at the destination mailbox.",
    "location": {
      "city": "Las Vegas",
      "country": "US",
      "state": "NV",
      "zip": "89101"
    },
    "substatus": {
      "code": "information_received",
      "text": "Information about the package received.",
      "action_required": true
    },
    "status_date": "2016-07-23T00:00:00Z"
  },
  "transaction": "<string>"
}

Authorizations

Authorization
string
header
default:ShippoToken shippo_test_d41a6f04796998570c521a50828eae8e3cccf0eb
required

API key authentication using the ShippoToken scheme. Format: Authorization: ShippoToken <API_TOKEN> Example: Authorization: ShippoToken shippo_live_abc123

Headers

SHIPPO-API-VERSION
string
default:2018-02-08

Optional string used to pick a non-default API version to use. See our API version guide.

Example:

"2018-02-08"

Path Parameters

TrackingNumber
string
required

Tracking number

Carrier
string
required

Name of the carrier

Response

Tracking status

carrier
string
required

Name of the carrier of the shipment to track. See Carriers.

Example:

"usps"

messages
string[]
required
tracking_history
object[]
required

A list of tracking events, following the same structure as tracking_status. It contains a full history of all tracking statuses, starting with the earlier tracking event first.

tracking_number
string
required

Tracking number to track.

Example:

"9205590164917312751089"

address_from
object

The sender address with city, state, zip and country information.

address_to
object

The recipient address with city, state, zip and country information.

eta
string<date-time>

The estimated time of arrival according to the carrier, this might be updated by carriers during the life of the shipment.

metadata
string

A string of up to 100 characters that can be filled with any additional information you want to attach to the object.

Example:

"Order 000123"

original_eta
string<date-time>

The estimated time of arrival according to the carrier at the time the shipment first entered the system.

Example:

"2021-07-23T00:00:00Z"

servicelevel
object

Contains details regarding the service level for the given rate.

tracking_status
object

The latest tracking information of this shipment.

transaction
string

The object_id of the transaction associated with this tracking object. This field is visible only to the object owner of the transaction.